Subject: RE: [rohc] Re: FW: [tcpm] WG last-call of TCP header compression

From: "Kristofer Sandlund (LU/EAB)" <[email-masked]>
Date: Fri, 23 Sep 2005 16:41:46 +0200

Hi Joe,

just to provide some feedback on your high-order comments below (wearing my
ROHC-TCP co-author hat).

> 
> Sure - the high order 'bit' of feedback on the formal notation:
> 
> I find header layout diagrams useful, and wish that the 
> current notation
> would add to what they communicate.
> 
> In their current form, they don't - the biggest example of this is the
> use of structured comments _outside the language spec_ that indicate
> basically what header layouts would (bitfield size and order 
> in a single
> place). It would be nice if the current notation could be 'compiled'
> into the layout diagrams (at least), but that seems to be 
> hard to do in
> its current form.
> 
> As I hinted originally, it's not at all evident that this 50-page
> document - a prerequisite to the TCP doc - makes any of the TCP doc
> easier to understand or implement.
> 
> My personal impression is that this notation hurts more than it helps,
> and should not be pursued further.
> 
> Joe

About half the WG have fought to drop the FN altogether since we also felt that it 
gave no real benefit compared to the box notation. The other half did not feel that 
way, and after we had repeated that discussion many times, the decision was taken 
to go with the FN. I never really felt that it was the right way, but that's 
the consensus decision that was taken. Of course it is never too late to change 
such a decision, but this is the kind of feedback that would have been more useful 
in any of the first 100 discussions on this topic than at the time we actually
have a working version :) Trying to swap back to box notation would set us back
quite a long time with the TCP profile, and honestly, I'm not sure it is worth
the "cost" of doing that in this late stage.

Note: We also have had very long discussions on the "normative comments", and the
reason why they are as they are today is also a consensus decision, but here
I think we reached the correct decision, since it would open up a whole can of
worms if we were to make these normative (the reasons should be somewhere in the
ROHC mail archive even if I can't recall them right now).

For your more specific comments, I leave that to the authors of the FN.

BR,
	Kristofer

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: Joe Touch <[email-masked]>
Date: Fri, 23 Sep 2005 07:56:00 -0700

See notes below:

> just to provide some feedback on your high-order comments below (wearing my
...
> the "cost" of doing that in this late stage.

IMO, the cost is very small, and the cost to keeping the current doc as
depending on a dense, 50-page notation spec is very high - to EVERY
reader thereafter.

I'm sorry that I wasn't part of that earlier discussion, but you asked
for detailed feedback from some folkes in TCPM, and I did what I could
by the time I knew about it.

> ROHC mail archive even if I can't recall them right now).

That's worse, IMO - it's a very clear indication that the notation fails
exactly where it's needed, and again a case for going back to the box
diagrams.

----

While I appreciate that the IETF process revolves around consensus,
sometimes that spirals into designing something that everyone can agree
to but does not solve the original problem.

To me, for notation, utility, clarity, and brevity are paramount, and
all seem to have been sacrificed for consensus, unfortunately.

Joe